'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _findUp = require('find-up');

var _findUp2 = _interopRequireDefault(_findUp);

var _yargs = require('yargs');

var _yargs2 = _interopRequireDefault(_yargs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var parser = _yargs2.default.usage('Usage: $0 <globs>... [--option-1 option-1-value --option-2]').help('h').alias('h', 'help').version().options({
  write: { default: false, describe: 'Edit the file in-place (beware!)' },
  stdin: { default: false, describe: 'Read input via stdin' },
  eslintPath: {
    default: getPathInHostNodeModules('eslint'),
    describe: 'The path to the eslint module to use'
  },
  prettierPath: { describe: 'The path to the prettier module to use' },
  log: { default: false, describe: 'Show logs' },
  // TODO: if we allow people to to specify a config path,
  // we need to read that somehow. These can come invarious
  // formats and we'd have to work out `extends` somehow as well.
  // I don't know whether ESLint exposes a way to do this...
  // Contributions welcome!
  // eslintConfigPath: {
  //   describe: 'Path to the eslint config to use for eslint --fix',
  // },
  // TODO: would this be just a JSON file? There's never going to be
  // a `.prettierrc`: https://github.com/jlongster/prettier/issues/154
  // so we'll have to be careful how we do this (if we do it at all).
  // prettierOptions: {
  //   describe: 'Path to the prettier config to use',
  // },
  sillyLogs: {
    default: false,
    describe: 'Show silly amount of logs (good for debugging)'
  }
});

exports.default = parser;


function getPathInHostNodeModules(module) {
  var modulePath = _findUp2.default.sync(`node_modules/${module}`);
  if (modulePath) {
    return modulePath;
  } else {
    return _path2.default.relative(__dirname, `../node_modules/${module}`);
  }
}